#include "AssetManager.h"

namespace fs = std::filesystem;

static std::string getEnv(const std::string& var) {
	char* env = std::getenv(var.c_str());
	return env ? env : "";
}

fs::path AssetManager::getResourcePath(const std::string& resource) {
	return fs::path{getEnv("JMINOS_DATA")} / resource;
}

fs::path AssetManager::getConfigPath(const std::string& resource) {
	return fs::path{getEnv("JMINOS_CONFIG")} / resource;
}